GuidesAPI References
GuidesAPI References
  1. Manage tests
  • Authentication
    • Obtain access token
      POST
    • Generate magic link
      POST
  • Manage tests
    • Generate draft test
      POST
    • Run CCSTest
      POST
    • Get CCSTest result
      GET
    • Downlaod PDF Report
      GET
    • Get PDF Report
      GET
  • Schemas
    • TestResponse
    • PatientReport
    • ApiResponse
  1. Manage tests

Generate draft test

POST
/api/fhir/draft-test
Receives a FHIR resource, validates it, and creates a draft test (returning draftTestId and itemsMapped). It extracts cardiac risk factors from the FHIR object (e.g., age, blood pressure, lipid panel, glucose). Make sure that you add the bearer token (recieved from api Generate magic link ) here in the authentication header
Check this guide for more infomation about FHIR structure and fields mappings FHIR Client Integration Guide

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.cardioexplorer.ai/api/fhir/draft-test' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "resourceType": "Bundle",
    "type": "collection",
    "entry": [
        {
            "fullUrl": "urn:uuid:2a3f9f10-5b1c-4ad3-9c1c-000000001302",
            "resource": {
                "resourceType": "Patient",
                "id": "1302",
                "gender": "female"
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000001",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "6690-2",
                            "display": "Leukocytes [#/volume] in Blood by Automated count"
                        }
                    ],
                    "text": "Leukocytes"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 7.9,
                    "unit": "G/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "G/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000002",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "6768-6",
                            "display": "Alkaline phosphatase [Enzymatic activity/volume] in Serum or Plasma"
                        }
                    ],
                    "text": "Alkaline phosphatase"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 55.55,
                    "unit": "U/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "U/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000003",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "30525-0",
                            "display": "Age"
                        }
                    ],
                    "text": "Age"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 70.0662578,
                    "unit": "years",
                    "system": "http://unitsofmeasure.org",
                    "code": "a"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000004",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "8302-2",
                            "display": "Body height"
                        }
                    ],
                    "text": "Body height"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 153,
                    "unit": "cm",
                    "system": "http://unitsofmeasure.org",
                    "code": "cm"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000005",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "29463-7",
                            "display": "Body weight"
                        }
                    ],
                    "text": "Body weight"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 62,
                    "unit": "kg",
                    "system": "http://unitsofmeasure.org",
                    "code": "kg"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000006",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "8480-6",
                            "display": "Systolic blood pressure"
                        }
                    ],
                    "text": "Systolic blood pressure"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 143,
                    "unit": "mmHg",
                    "system": "http://unitsofmeasure.org",
                    "code": "mm[Hg]"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000007",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "8462-4",
                            "display": "Diastolic blood pressure"
                        }
                    ],
                    "text": "Diastolic blood pressure"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 68,
                    "unit": "mmHg",
                    "system": "http://unitsofmeasure.org",
                    "code": "mm[Hg]"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000008",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "2093-3",
                            "display": "Cholesterol [Mass/volume] in Serum or Plasma"
                        }
                    ],
                    "text": "Total cholesterol"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 6.37,
                    "unit": "mmol/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "mmol/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000009",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "2085-9",
                            "display": "Cholesterol in HDL [Mass/volume] in Serum or Plasma"
                        }
                    ],
                    "text": "HDL cholesterol"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 1.6224,
                    "unit": "mmol/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "mmol/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000010",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "13457-7",
                            "display": "Cholesterol in LDL [Mass/volume] in Serum or Plasma by calculation"
                        }
                    ],
                    "text": "LDL cholesterol"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 3.63792,
                    "unit": "mmol/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "mmol/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000011",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "2345-7",
                            "display": "Glucose [Mass/volume] in Serum or Plasma"
                        }
                    ],
                    "text": "Glucose"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 5.607612405,
                    "unit": "mmol/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "mmol/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000012",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "2885-2",
                            "display": "Protein [Mass/volume] in Serum or Plasma"
                        }
                    ],
                    "text": "Total protein"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 67,
                    "unit": "g/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "g/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000013",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "1751-7",
                            "display": "Albumin [Mass/volume] in Serum or Plasma"
                        }
                    ],
                    "text": "Albumin"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 35.25,
                    "unit": "g/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "g/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000014",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "1975-2",
                            "display": "Bilirubin.total [Mass/volume] in Serum or Plasma"
                        }
                    ],
                    "text": "Total bilirubin"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 5.1,
                    "unit": "µmol/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "umol/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000015",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "3094-0",
                            "display": "Urea nitrogen [Mass/volume] in Serum or Plasma"
                        }
                    ],
                    "text": "Urea"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 5.678,
                    "unit": "mmol/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "mmol/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000016",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "3084-1",
                            "display": "Urate [Mass/volume] in Serum or Plasma"
                        }
                    ],
                    "text": "Uric acid"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 148.75,
                    "unit": "µmol/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "umol/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000017",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "28540-3",
                            "display": "MCHC [Entitic Mass/volume] in Red Blood Cells"
                        }
                    ],
                    "text": "MCHC"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 342,
                    "unit": "g/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "g/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000018",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "1805-1",
                            "display": "Amylase.pancreatic [Enzymatic activity/volume] in Serum or Plasma"
                        }
                    ],
                    "text": "Pancreatic amylase"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 19,
                    "unit": "U/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "U/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000019",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-03-10T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "67151-1",
                            "display": "Troponin T.cardiac [Mass/volume] in Serum or Plasma by High sensitivity method"
                        }
                    ],
                    "text": "High-sensitivity troponin T"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 6,
                    "unit": "ng/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "ng/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000020",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-03-01T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "1742-6",
                            "display": "Alanine aminotransferase [Enzymatic activity/volume] in Serum or Plasma"
                        }
                    ],
                    "text": "ALAT"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueQuantity": {
                    "value": 16.65,
                    "unit": "U/L",
                    "system": "http://unitsofmeasure.org",
                    "code": "U/L"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000021",
            "resource": {
                "resourceType": "MedicationStatement",
                "id": "diuretic-furosemide-1",
                "status": "not-taken",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "medicationCodeableConcept": {
                    "coding": [
                        {
                            "system": "http://www.cardioexplorer.ai",
                            "code": "CE_DIURETIC_THERAPY",
                            "display": "Furosemide 40 mg oral tablet"
                        }
                    ],
                    "text": "Furosemide 40 mg oral tablet"
                },
                "subject": {
                    "reference": "Patient/1302"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000022",
            "resource": {
                "resourceType": "MedicationStatement",
                "id": "beta-blocker-product-1",
                "status": "active",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "medicationCodeableConcept": {
                    "coding": [
                        {
                            "system": "http://www.cardioexplorer.ai",
                            "code": "CE_BETA_BLOCKER_PLACEHOLDER",
                            "display": "Beta blocker (product)"
                        }
                    ],
                    "text": "Beta blocker"
                },
                "subject": {
                    "reference": "Patient/1302"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000023",
            "resource": {
                "resourceType": "MedicationStatement",
                "id": "cp-gtn-spray-1",
                "status": "not-taken",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "medicationCodeableConcept": {
                    "coding": [
                        {
                            "system": "http://www.cardioexplorer.ai",
                            "code": "CE_ANTI_ANGINAL_NITRATE_THERAPY",
                            "display": "Nitroglycerin sublingual spray"
                        }
                    ],
                    "text": "Nitroglycerin sublingual spray"
                },
                "subject": {
                    "reference": "Patient/1302"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000024",
            "resource": {
                "resourceType": "MedicationStatement",
                "id": "ace-ramipril-1",
                "status": "active",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "medicationCodeableConcept": {
                    "coding": [
                        {
                            "system": "http://www.cardioexplorer.ai",
                            "code": "CE_RAAS_INHIBITING_THERAPY",
                            "display": "Ramipril 5 mg oral capsule"
                        }
                    ],
                    "text": "Ramipril 5 mg oral capsule"
                },
                "subject": {
                    "reference": "Patient/1302"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000025",
            "resource": {
                "resourceType": "MedicationStatement",
                "id": "ccb-amlodipine-1",
                "status": "not-taken",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "medicationCodeableConcept": {
                    "coding": [
                        {
                            "system": "http://www.cardioexplorer.ai",
                            "code": "CE_CALCIUM_CHANNEL_BLOCKER_THERAPY",
                            "display": "Amlodipine 5 mg oral tablet"
                        }
                    ],
                    "text": "Amlodipine 5 mg oral tablet"
                },
                "subject": {
                    "reference": "Patient/1302"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000026",
            "resource": {
                "resourceType": "MedicationStatement",
                "id": "statin-atorvastatin-1",
                "status": "active",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "medicationCodeableConcept": {
                    "coding": [
                        {
                            "system": "http://www.cardioexplorer.ai",
                            "code": "CE_LIPID_LOWERING_THERAPY",
                            "display": "Atorvastatin 20 mg oral tablet"
                        }
                    ],
                    "text": "Atorvastatin 20 mg oral tablet"
                },
                "subject": {
                    "reference": "Patient/1302"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000027",
            "resource": {
                "resourceType": "MedicationStatement",
                "status": "completed",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "medicationCodeableConcept": {
                    "coding": [
                        {
                            "system": "http://www.cardioexplorer.ai",
                            "code": "CE_GLUECOSE_THERAPY_INSULIN",
                            "display": "Insulin therapy"
                        }
                    ],
                    "text": "Insulin therapy"
                },
                "subject": {
                    "reference": "Patient/1302"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000028",
            "resource": {
                "resourceType": "MedicationStatement",
                "id": "antiplatelet-therapy-1",
                "status": "active",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "medicationCodeableConcept": {
                    "coding": [
                        {
                            "system": "http://www.cardioexplorer.ai",
                            "code": "CE_ANTIPLATELET_THERAPY",
                            "display": "Clopidogrel [Presence]"
                        }
                    ],
                    "text": "Clopidogrel"
                },
                "subject": {
                    "reference": "Patient/1302"
                }
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000029",
            "resource": {
                "resourceType": "Condition",
                "id": "chest-pain-371807002-001",
                "code": {
                    "coding": [
                        {
                            "system": "http://snomed.info/sct",
                            "code": "371807002",
                            "display": "Atypical angina (disorder)"
                        }
                    ],
                    "text": "Atypical angina"
                },
                "clinicalStatus": {
                    "coding": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
                            "code": "active",
                            "display": "Active"
                        }
                    ]
                },
                "verificationStatus": {
                    "coding": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
                            "code": "confirmed",
                            "display": "Confirmed"
                        }
                    ]
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "onsetDateTime": "2026-04-03T00:00:00Z"
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000030",
            "resource": {
                "resourceType": "Condition",
                "clinicalStatus": {
                    "coding": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
                            "code": "resolved",
                            "display": "Resolved"
                        }
                    ]
                },
                "verificationStatus": {
                    "coding": [
                        {
                            "system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
                            "code": "confirmed",
                            "display": "Confirmed"
                        }
                    ]
                },
                "code": {
                    "coding": [
                        {
                            "system": "http://snomed.info/sct",
                            "code": "164916001",
                            "display": "Normal Q wave"
                        }
                    ],
                    "text": "Normal Q wave observed on resting ECG."
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "onsetDateTime": "2026-04-03T00:00:00Z",
                "note": [
                    {
                        "text": "Normal Q wave observed on resting ECG."
                    }
                ]
            }
        },
        {
            "fullUrl": "urn:uuid:11111111-aaaa-4bbb-cccc-000000000031",
            "resource": {
                "resourceType": "Observation",
                "status": "final",
                "effectiveDateTime": "2026-04-03T00:00:00Z",
                "code": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "72166-2",
                            "display": "Tobacco smoking status"
                        }
                    ],
                    "text": "Nicotine consumption (NC)"
                },
                "subject": {
                    "reference": "Patient/1302"
                },
                "valueCodeableConcept": {
                    "coding": [
                        {
                            "system": "http://loinc.org",
                            "code": "LA18978-9",
                            "display": "Never smoker"
                        }
                    ],
                    "text": "Non-smoker"
                }
            }
        }
    ]
}'
Response Response Example
{
  "success": true,
  "draftTestId": "1e7adfef-4ffa-4e9b-bde5-49c1f1ab06ae",
  "itemsMapped": 32,
  "itemsRejected": 0,
  "itemsMissing": 0,
  "rejectedItems": [],
  "missingItems": []
}
Modified at 2026-04-09 11:39:22
Previous
Generate magic link
Next
Run CCSTest
Built with